Package org.eclipse.lemminx.extensions.contentmodel.commands

## Class CheckFilePatternCommand

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.commands.CheckFilePatternCommand

All Implemented Interfaces:
  `IXMLCommandService.IDelegateCommandHandler`

    public class CheckFilePatternCommand
    extends Object
    implements IXMLCommandService.IDelegateCommandHandler

XML Command "xml.check.file.pattern" whose first argument is a file pattern, and whose second argument is some file URI. The command returns true when the given pattern matches against the given file URI and false otherwise.

### Field Summary

Fields
`static String` `COMMAND_ID`

### Constructor Summary

Constructors
`CheckFilePatternCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `executeCommand​(org.eclipse.lsp4j.ExecuteCommandParams params, SharedSettings sharedSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Executes a command

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMMAND_ID

    public static final String COMMAND_ID

See Also:
  Constant Field Values

### Constructor Detail

#### CheckFilePatternCommand

    public CheckFilePatternCommand()

### Method Detail

#### executeCommand

    public Object executeCommand​(org.eclipse.lsp4j.ExecuteCommandParams params,
                                 SharedSettings sharedSettings,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                          throws Exception

Description copied from interface: `IXMLCommandService.IDelegateCommandHandler`
Executes a command

Specified by:
  `executeCommand` in interface `IXMLCommandService.IDelegateCommandHandler`
Parameters:
  `params` - command execution parameters
  `sharedSettings` - the shared settings.
  `cancelChecker` - check if cancel has been requested
Returns:
  the result of the command
Throws:
  `Exception` - the unhandled exception will be wrapped in `org.eclipse.lsp4j.jsonrpc.ResponseErrorException` and be wired back to the JSON-RPC protocol caller